echo
fi
-SITE_LOCAL_PATH="${PWD}/web"
+WEB_ROOT="${PWD}/web"
command -v composer &> /dev/null || { echo "Aborting, 'composer' not available." 1>&2; exit 1; }
command -v git &> /dev/null || { echo "Aborting, 'git' not available." 1>&2; exit 1; }
-[ -d "$SITE_LOCAL_PATH" ] || composer install
+[ -d "$WEB_ROOT" ] || composer install
DRUSH="${PWD}/vendor/bin/drush"
DRUPAL_CONSOLE="${PWD}/vendor/bin/drupal"
# https://github.com/drupal-composer/drupal-project/issues/249
if ! echo "$INSTALLATION_PROFILE" | grep -q -E "^(minimal|standard)$";
then
- if [ -d "${SITE_LOCAL_PATH}/profiles/${INSTALLATION_PROFILE}" ] && [ "$OVERWRITE_PROFILE" != "true" ];
+ if [ -d "${WEB_ROOT}/profiles/${INSTALLATION_PROFILE}" ] && [ "$OVERWRITE_PROFILE" != "true" ];
then
echo "Installation profile '$INSTALLATION_PROFILE' already there." 1>&2
echo "Use --overwrite-profile to copy over it." 1>&2
exit 1
else
- cp -a "$INSTALLATION_PROFILE" "${SITE_LOCAL_PATH}/profiles"
+ cp -a "$INSTALLATION_PROFILE" "${WEB_ROOT}/profiles"
fi
fi
-pushd "$SITE_LOCAL_PATH"
+pushd "$WEB_ROOT"
# Update the install_profile if it's already there
if grep -q "^\\\$settings\['install_profile'\] =" sites/default/settings.php;